<div class="contentSecMain contentBox marginBtm">
    <div class="analytDataType contentSec paddingLR">
        <div class="subHeader small statsHeader borderBtm marginBtm">


            <div class="floatLeft marginTopShort">
                <div class="dataOpt">
                    <a href="#/app/stats/historicalStat" class="historical opt midBlock ">Historical</a>
                    <a href="#/app/stats/taxiTrail" class="historical opt midBlock active">Taxi Trail</a>
                </div>
            </div>
            <div class="floatRight">

                <!-- <div class="dateTimeSelection midBlock">
                     <input type="text" placeholder="From Time" ng-model="taxiTrailController.fromTime" >
                     <input type="text"  placeholder="To Time" ng-model="taxiTrailController.toTime">
                     <input type="text" class="date" placeholder="From Date" date-picker ng-model="taxiTrailController.filter.fromDate | date:'MMM dd yyyy'" date="taxiTrailController.filter.fromDate">
                     <input type="text" class="date" placeholder="To Date" date-picker ng-model="taxiTrailController.filter.toDate | date:'MMM dd yyyy'"  date="taxiTrailController.filter.toDate">
                 </div>-->

                <div class="midBlock marginRgt">
                    <div class="dropDown midBlock subNormal">
                        <div class="head" data-init="0">
                            <div class="headTitle" ng-bind="taxiTrailController.filter.carSelected.name"></div>
                        </div>
                        <ul class="list">

                            <li ng-repeat="taxiObj in taxiTrailController.filter.carList"
                                ng-click="setTaxiSelected(taxiObj)">
                                {{taxiObj.carName}}
                            </li>
                        </ul>
                    </div>
                </div>

              <!--  {{taxiTrailController.filter.carList}}-->

                <div class="btn subNormal" ng-click="startTrailing( taxiTrailController.filter.carList[0])">Plot</div>
            </div>
            <span class="clear"></span>
        </div>

        <div class="dateTimeSliders paddingBtm borderBtm">
            <div class="floatLeft fromSlider">
                <div class="marginBtmSml small roboLight">Select from date and time</div>
                <flash-slider type="selectTime" calendar="true" navigation="true"
                              date="taxiTrailController.filter.fromDate" name="'from'"
                              hour-index='taxiTrailController.filter.fromTime'></flash-slider>
            </div><!--hour-index='taxiTrailController.filter.fromTime'-->

            <div class="floatRight toSlider">
                <div class="marginBtmSml small roboLight">Select to date and time</div>
                <flash-slider2 type="selectTime" calendar="true" navigation="true"
                               date="taxiTrailController.filter.toDate" name="'to'"
                               hour-index='taxiTrailController.filter.toTime'></flash-slider2>
                <!-- hour-index='taxiTrailController.filter.toTime'-->
            </div>
            <span class="clear"></span>
        </div>


        <div class="statusWarning small centerTxt" ng-if="showPlotsMessage">
            {{showPlotsMessage}}
        </div>

        <div class="mapContainer analyticsTrailMap">
            <!-- <div class="map" id="overviewMap"></div>--><br>
            <div>
                <hr-loader class="hrLoaderCircle"  ng-if="showLoader"></hr-loader>
            </div>

            <show-map map-id="taxiTrail"></show-map>

        </div>

    </div>

</div>